Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-jsonstream
Version:    1.3.1
Release:    alt1_5
Summary:    Streaming JSON.parse and stringify for Node.js
License:    MIT or ASL 2.0
URL:        http://github.com/dominictarr/JSONStream
Source:     http://registry.npmjs.org/JSONStream/-/JSONStream-%{version}.tgz



BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info


%description
Streaming JSON.parse and stringify for Node.js


%prep
%setup -q -n package
%setup -T -D  -q -n package
%nodejs_fixdep jsonparse > '~0.0.5'
%nodejs_fixdep through > '~2.2.7'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/JSONStream
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/JSONStream


%files
%doc readme.markdown LICENSE.MIT LICENSE.APACHE2 examples/
%{nodejs_sitelib}/JSONStream


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_5
- new version

